#!/bin/bash
if [ -z "$1" ]; then export PREFIX=../data; else export PREFIX=$1; fi
if [ -z $BIN ]; then export BIN=vargibbs; fi
if [ -z $VER ]; then export VER=./; fi
set -e
export WD=${VER}BN21-verify
mkdir -pv $WD

#the following should give you the same results as in Table 1 banerjee21 doi:10.1093/nar/gkab780 column "old prediction"
$BIN  -o=${WD}/SG95-verify -par=${PREFIX}/P-SG95.par -printusedpar=1 -calc=prediction -data=${PREFIX}/D-BN20-t1.dat -saltscheme=nakano99 -targetsalt=100  -predsaltcorr=1

#the following should give you the same results as in Table 1 banerjee21 doi:10.1093/nar/gkab780 column "new prediction"
$BIN  -o=${WD}/BN21-verify -par=${PREFIX}/P-BN21.par -printusedpar=1 -calc=prediction -data=${PREFIX}/D-BN20-t1.dat 
